using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.StoragesContracts
{
    public interface IBankOperatorStorage
    {
        List<BankOperatorViewModel> GetFullList();
        List<BankOperatorViewModel> GetFilteredList(BankOperatorSearchModel model);
        BankOperatorViewModel? GetElement(BankOperatorSearchModel model);
        BankOperatorViewModel? Insert(BankOperatorBindingModel model);
        BankOperatorViewModel? Update(BankOperatorBindingModel model);
        BankOperatorViewModel? Delete(BankOperatorBindingModel model);
    }
}
